> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/august-2nd-2024.md).

# August 2nd, 2024 - Marketplace Update

Explore the new changes to the Marketplace in the last week!

This can be anything from new crates, enhancements, or bug fixes!

<details>

<summary><strong>New crates and enhancements</strong></summary>

* Rewst: User Onboarding
  * Added N-Able N-Central to the list of integration overrides on the minimalist form trigger
  * Added the run as org function to the first get-user action.
* Billing Report
  * Changed all variable names that had sentinel in them to sentinelone. E.g. `sentinel_user_count` is now `sentinelone_user_count`. The workflow dynamically selects the integration ids based off the name of the variables and the integration id for sentinel one is sentinelone and not sentinel therefore it was filling 0s for all sentinel counts.

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Manage Mailbox Permissions
  * Added the run as org function to the first get-user action.
  * Added soft failure when the main workflow is not run as part of the form.
* Rewst: User Onboarding
  * Fixed jinja that was evaluating to true on an empty list, causing failures. When doing on-prem exchange actions, the workflow was running the Exchange shared mailbox workflow even though no shared mailbox was selected.
* CWM: Technician Toolbox via Pod
  * Fixed failure at `get_ms_reference_id` by updating workflow with new action `rewst_get_microsoft_csp_customer.` This task is designed to get data for a single Microsoft CSP customer in Rewst. It has two transitions, one that triggers when the tenant information is not available and another that triggers when the task succeeds.
* Rewst: User Offboard v2
  * Updated remove supervisor references to `on_prem` from `onprem`
  * Removed Jinja reference to data alias that was no longer in context and no longer used.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* New Crate - Sonicwall Firmware Update
  * Initiate a firmware update via NSM
  * Support one or more firewall firmware upgrades at once
  * Support scheduling of firmware updates and restart times
* Add VSA X to:
  * Rewst: User Onboarding
  * Rewst: User Offboarding v2
  * Configure Organizational Variables
  * Organizational Setup Report
  * Add Client to Rewst (form)
* New Crate - GDAP Configuration
  * Crate to help speed up the process of configuring GDAP

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rewst.help/updates/marketplace-updates/2024-marketplace-updates/august-2nd-2024.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
